Bug 97116 - GDMSetup does not change logo or welcome screen
GDMSetup does not change logo or welcome screen
Product: Red Hat Linux
Classification: Retired
Component: gdm (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2003-06-10 11:48 EDT by John P Richardson
Modified: 2007-04-18 12:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-12 14:43:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John P Richardson 2003-06-10 11:48:44 EDT
Description of problem:

When changing the logo or welcome string text in the Standard Greeter tab of
gdmsetup, the changes are not reflected in in the gdm login screen.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Select System Settings -> Login Screen
2. When GDMSetup starts, click on Standard greeter tab.
3. In Standard greeter tab, change logo via the Browse button.  (I chose any
number of *.png files in /usr/share/pixmaps/* and none would appear in gdm).
4. Change the Welcome String setting to desired text.
5. Click on Close.
6. Logout.
7. Restart gdm (CTRL + ALT + Backspace or init 4 then init 5 or init 6.  your

Actual results:
The image selected in step 4 and the text entered in step 5 never appear.

Expected results:
The image should change to that selected in step 4.  The text should change too
that entered in step 5.

Additional info:
GDMSetup seems to work fine when choosing a different theme.
Comment 1 Havoc Pennington 2003-06-11 00:54:18 EDT
On the first tab (General) you can choose Standard Greeter or Graphical Greeter;
by default we have Graphical Greeter with Bluecurve theme. 
The settings on the Standard Greeter tab only apply if you've chosen 
Standard Greeter on the first tab.

Does that explain what you are seeing or do I not understand the report?
Comment 2 John P Richardson 2003-06-11 19:20:21 EDT
I was assuming one did not need to change to standard greeter to get the
message/image to change.  Since this is the case, then this would be more of a
feature request than a bug report.  Is there a way to change the message and
image in the graphical greeter as well?

Thanks for the quick work.
Comment 3 Havoc Pennington 2003-06-11 19:24:27 EDT
Basically what you have to do right now to change the graphical greeter is to
create a new theme. You can find the themes in /usr/share/gdm/themes/; 
you'd copy one of those and think of a new name and then edit your
new theme.

I don't think the themes are required to have a space for the welcome message,
etc., so I'm not sure there's any way to add that without extending the theme 
format at least.
Comment 4 George Lebl 2003-06-12 12:18:14 EDT
In the newest devel version ( the welcome string is indeed settable. 
Of course the theme must use the welcome stock label and not a hardcoded one (I
believe redhat theme is still not using stock labels, though they should have
been there in 2.4.1.x I think).  I suppose a reasonable fix might be to disable
the standard or the graphical page, if the greeter is not selected.  The
background can't really be reasonably set in the theme since it would likely not
"jive" with the current theme, plus there's no way to find out what is the
background to begin with.  If you want changable backgrounds and logos, use the
standard greeter, the graphical greeter just uses the theme.
Comment 5 John P Richardson 2003-06-12 14:43:03 EDT
Per the suggestion, I schooled myself on Themes and created a test one.  This
will probably be the way I go with the login screen.  It gives me the ability to
blend the funtionality of the standard greeter with the preferred aesthetics of
the graphical greeter.

Interestingly, when I removed the "Welcome to %h" from the Bluecurve theme
(leaving only ""), GDM defaulted to the Circles theme.  When I placed some
general text in there ("This is a computer"), the theme loaded and worked like a

So I have my solution.  Thanks to all for taking the time to research this and
enlighten me.
Comment 6 George Lebl 2003-06-12 15:32:16 EDT
I have just fixed the empty text thing in cvs, though it doesn't seem to make a
lot of sense to have an empty label (you should remove the label completely in
this case) it doesn't make sense to explicitly disallow it.
Comment 7 John P Richardson 2003-06-12 18:36:07 EDT
True, it doesn't.  But then again it's always good to cover everything because
there is always someone like me out here doing what "doesn't make a lot of
sense".  :-)

I applaude your initiative to fix it though.  It's the little things like this
that can polish or tarnish a packages image, regardless of the whole.

Note You need to log in before you can comment on or make changes to this bug.